/*-- Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. --*/ 
/*
Model         PAM 5.1
Subject Area  Derives the latest data date from the mart.
Model Version 
Macro Name    pam_derive_latest_mart_data_date.sas
DBMS          SAS
Created       1/27/2012 3:10:23 PM
* Copyright (c) 2012 by SAS Institute Inc., Cary, NC 27513
*/

%macro pam_derive_latest_mart_data_date;

/* Declare and initialize the return value */
%global mart_last_data_dttm;
%let mart_last_data_dttm=.;

  proc sql noprint;
    select put(pam_last_data_dttm,datetime.) into :mart_last_data_dttm
    from &pamapp_libref..pam_load_status 
    where PAM_TABLE_NM="&p_table_nm." and

    pam_load_dttm eq 
      select max(pam_load_dttm) 
      from &pamapp_libref..pam_load_status
      where (PAM_LOAD_STATUS="0" OR PAM_LOAD_STATUS="4") 
      and PAM_TABLE_NM="&p_table_nm."
  ;
  quit;

%put mart_last_data_dttm=&mart_last_data_dttm.;

%mend; 
